Loading...
Searching...
No Matches
Dune::IsFieldVectorSizeCorrect< C, SIZE > Struct Template Reference
Common » Dense Matrix and Vector Template Library

TMP to check the size of a DenseVectors statically, if possible. More...

`#include <dune/common/fvector.hh>`

Inheritance diagram for Dune::IsFieldVectorSizeCorrect< C, SIZE >:

## Static Public Attributes

static constexpr bool | value = true
| True if C is not of type FieldVector or its dimension is not equal SIZE.

## Detailed Description

template<typename C, int SIZE>
struct Dune::IsFieldVectorSizeCorrect< C, SIZE >

TMP to check the size of a DenseVectors statically, if possible.

If the implementation type of C is a FieldVector, we statically check whether its dimension is SIZE.

Template Parameters

  C | The implementation of the other DenseVector
  SIZE | The size we need assume.

## Member Data Documentation

## value

template<typename C, int SIZE>

bool Dune::IsFieldVectorSizeCorrect< C, SIZE >::value = true

static constexpr

True if C is not of type FieldVector or its dimension is not equal SIZE.

The documentation for this struct was generated from the following file:

- fvector.hh